Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Edit IP ACL

Prev Next

Available in Classic and VPC

Edit IP ACL information.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PUT /api/v1/ip-acls/{ipAclId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
ipAclId String Required IP ACL ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
ipAclName String Required IP ACL name
  • Enter 2-30 characters by combining English letters, numbers, and special characters "-" and "_".
  • It must start with an English letter or a number.
description String Optional IP ACL description
  • 0-300 characters
accessIps Array Required List of access target IP addresses
  • Only IP format is allowed.

Request example

The request example is as follows:

curl --location --request PUT 'https://sso.apigw.ntruss.com/api/v1/ip-acls/5bf4cad0-****-****-****-cd51bba3fe23' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
    "ipAclName": "ipacl000",
    "description": "ipacl description",
    "accessIps": [
        "***.***.***.***"
    ]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
id String - IP ACL ID
nrn String - NAVER Cloud Platform resource identification value for IP ACL
success Boolean - API processing result

Response status codes

For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "id": "5bf4cad0-****-****-****-cd51bba3fe23",
    "nrn": "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23",
    "success": true
}